Get monitors

Base URL
https://{kibana_url}
  • GET /api/synthetics/monitors
  • GET /s/{space_id}/api/synthetics/monitors
Auth

Get a list of monitors. You must have read privileges for the Synthetics feature in the Observability section of the Kibana feature privileges.

Path parameters

space_id string optional

An identifier for the space. If space_id is not provided in the URL, the default space is used. Refer to Spaces for more information.

Query parameters

filter string

Additional filtering criteria.

locations unknown[]

The locations to filter by.

monitorTypes union enum | unknown[]

The monitor types to filter.

Values: browser http icmp tcp
page integer

The page number for paginated results.

per_page integer

The number of items to return per page.

projects unknown[]

The projects to filter by.

query string

A free-text query string.

schedules unknown[]

The schedules to filter by.

sortField enum

The field to sort the results by.

Values: name createdAt updatedAt status
sortOrder enum

The sort order.

Values: asc desc
status unknown[]

The status to filter by.

tags unknown[]

Tags to filter monitors.

useLogicalAndFor union enum | enum[]

Specifies whether to apply logical AND filtering for specific fields. Accepts either a string with values "tags" or "locations" or an array containing both.

Values: tags locations

Response

A successful response.

application/json

Response Type: object

Base URL
https://{kibana_url}